## com.ericsson.otp.ic
Class Pid

    java.lang.Object
      com.ericsson.otp.erlang.OtpErlangPid
          com.ericsson.otp.ic.Pid

    public final class Pid

extends com.ericsson.otp.erlang.OtpErlangPid

Pid class mapps the built-in erlang type pid, a process identity.

Constructor Summary
`Pid(com.ericsson.otp.erlang.OtpSelf self)`
`Pid(java.lang.String node, int id, int serial, int creation)`

Method Summary
`boolean` `equal(Pid _pid)` Comparisson method for Pid.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pid

    public Pid(com.ericsson.otp.erlang.OtpSelf self)

### Pid

    public Pid(java.lang.String node,
               int id,
               int serial,
               int creation)

Method Detail

### equal

    public boolean equal(Pid _pid)

  Comparisson method for Pid.

  Returns:
    true if the input Pid value equals the value of the current object, false otherwize

Copyright © 1991-2007 Ericsson AB